notbugAs an Amazon Associate I earn from qualifying purchases.
Want a good read? Try FreeBSD Mastery: Jails (IT Mastery Book 15)

Current status

The server has been repaired, with a new power supply, for $23. I am waiting for lower COVID rates before visiting the datacenter to return it.
Port details
sk1 Professional quality illustration program
2.0_4 graphics Deleted on this many watch lists=0 search for ports that depend on this port Find issues related to this port Report an issue related to this port View this port on Repology. pkg-fallout 2.0_4Version of this port present on the latest quarterly branch.
Deprecated DEPRECATED: Uses deprecated version of python
Expired This port expired on: 2020-08-15
Maintainer: yuri@FreeBSD.org search for ports maintained by this maintainer
Port Added: 2018-12-18 19:06:51
Last Update: 2020-08-15 11:50:59
SVN Revision: 544927
Also Listed In: python
License: GPLv3+
Description:
SVNWeb : Homepage

There is no configure plist information for this port.

Dependency lines:
  • ${PYTHON_PKGNAMEPREFIX}>0:graphics/sk1@${PY_FLAVOR}
No installation instructions: this port has been deleted.
The package name of this deleted port was:
PKGNAME: sk1
Package flavors (<flavor>: <package>)
  • py27: sk1
distinfo:
Packages: (move your mouse over the cells for more information)
sk1
ABIlatestquarterly
FreeBSD:11:aarch64-2.0_4
FreeBSD:11:amd64--
FreeBSD:11:armv6--
FreeBSD:11:i386--
FreeBSD:11:mips--
FreeBSD:11:mips64--
FreeBSD:12:aarch64--
FreeBSD:12:amd64--
FreeBSD:12:armv6--
FreeBSD:12:armv7--
FreeBSD:12:i386--
FreeBSD:12:mips--
FreeBSD:12:mips64--
FreeBSD:12:powerpc64--
FreeBSD:13:aarch64--
FreeBSD:13:amd64--
FreeBSD:13:armv6--
FreeBSD:13:armv7--
FreeBSD:13:i386--
FreeBSD:13:mips--
FreeBSD:13:mips64--
FreeBSD:13:powerpc64--
FreeBSD:14:aarch64--
FreeBSD:14:amd64--
FreeBSD:14:armv6--
FreeBSD:14:armv7--
FreeBSD:14:i386--
FreeBSD:14:mips--
FreeBSD:14:mips64--
FreeBSD:14:powerpc64--
 

Dependencies
NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.
Build dependencies:
  1. py27-cairo>0 : graphics/py-cairo@py27
  2. update-desktop-database : devel/desktop-file-utils
  3. msgfmt : devel/gettext-tools
  4. gtk-update-icon-cache : graphics/gtk-update-icon-cache
  5. py27-setuptools>0 : devel/py-setuptools@py27
  6. python2.7 : lang/python27
  7. __init__.py : x11-toolkits/py-wxPython40@py27
Runtime dependencies:
  1. py27-cairo>0 : graphics/py-cairo@py27
  2. py27-pillow6>=6.0.0 : graphics/py-pillow6@py27
  3. py27-pycups1>0 : print/py-pycups1@py27
  4. py27-reportlab>0 : print/py-reportlab@py27
  5. update-desktop-database : devel/desktop-file-utils
  6. gtk-update-icon-cache : graphics/gtk-update-icon-cache
  7. py27-setuptools>0 : devel/py-setuptools@py27
  8. python2.7 : lang/python27
  9. __init__.py : x11-toolkits/py-wxPython40@py27
Library dependencies:
  1. liblcms2.so : graphics/lcms2
  2. libMagickCore-6.so : graphics/ImageMagick6
  3. libintl.so : devel/gettext-runtime
  4. libatk-1.0.so : accessibility/atk
  5. libcairo.so : graphics/cairo
  6. libgdk_pixbuf-2.0.so : graphics/gdk-pixbuf2
  7. libglib-2.0.so : devel/glib20
  8. libintl.so : devel/gettext-runtime
  9. libpango-1.0.so : x11-toolkits/pango
There are no ports dependent upon this port

Configuration Options

USES:

Master Sites:
Expand this list (1 items)
    Collapse this list.
  1. https://downloads.sk1project.net/sk1/2.0rc3/
  2. Collapse this list.
Port Moves
  • port deleted on 2020-08-15
    REASON: Has expired: Uses deprecated version of python
  • port moved here from graphics/py-sk1 on 2018-12-18
    REASON: sk1 is an app, not a python library

Number of commits found: 9

Commit History - (may be incomplete: see SVNWeb link above for full details)
DateByDescription
15 Aug 2020 10:50:59
Original commit files touched by this commit  2.0_4
Revision:544927
rene search for other commits by this committer
Remove deprecated ports:

2020-08-15 archivers/py-backports.lzma: Uses deprecated version of python
2020-08-15 archivers/py-bup: Uses deprecated version of python
2020-08-15 archivers/py-librtfcomp: Uses deprecated version of python
2020-08-15 audio/blop-lv2: Uses deprecated version of python
2020-08-15 audio/bs2b-lv2: Uses deprecated version of python
2020-08-15 audio/py-gmusicproxy: Uses deprecated version of python
2020-08-15 audio/py-karaoke: Uses deprecated version of python
2020-08-15 audio/py-openal: Uses deprecated version of python
2020-08-15 audio/py-py-jack: Uses deprecated version of python
2020-08-15 audio/py-xmms2: Uses deprecated version of python
2020-08-15 audio/triceratops-lv2: Uses deprecated version of python
2020-08-15 biology/py-biom-format: Uses deprecated version of python
2020-08-15 comms/py-bulksms: Uses deprecated version of python
(Only the first 15 lines of the commit message are shown above View all of this commit message)
29 May 2020 01:59:51
Original commit files touched by this commit  2.0_4
Revision:536872
sunpoet search for other commits by this committer
Change RUN_DEPENDS from py-pycups to py-pycups1

- Bump PORTREVISION for dependency change
17 May 2020 05:55:12
Original commit files touched by this commit  2.0_3
Revision:535516
lbartoletti search for other commits by this committer
x11-toolkits/wxgtk30: Update to 3.0.5.1

Changelog:
  -
https://raw.githubusercontent.com/wxWidgets/wxWidgets/v3.0.5/docs/changes.txt

PR:	 246218
Approved by:	tcberner (mentor)
Exp-run by:	antoine
Differential Revision:	https://reviews.freebsd.org/D24808
24 Mar 2020 19:54:57
Original commit files touched by this commit  2.0_2
Revision:529063
antoine search for other commits by this committer
Convert the tree to use PY_PILLOW

With hat:	portmgr
Originally submitted by:	kai
29 Feb 2020 18:24:19
Original commit files touched by this commit  2.0_2
Revision:527449
lbartoletti search for other commits by this committer
x11-toolkits/py-wxPython40: GUI toolkit for the Python programming language

py-wxPython40 aka Phoenix is a reborn of wxPython and in particular it allows to
use wxWidgets with Python3.


  - Add x11-toolkits/py-wxPython40
  - Replace wxPython30 by wxPython40 when python wxWidgets is required
  - Fix cad/kicad and cad/kicad-devel to use wxPython40 "Phoenix"
  - Update comms/congruity, graphics/py-mayavi from wx 2.8 to 3.0
  - While I'm here fix portlint per emulators/playonbsd
  - Remove RUN_DEPENDS from USE_WX per graphics/djvusmooth
  - Bump portversion
  - Fix unicode on x11-toolkits/wxgtk30 and take Maintainer'ship

PR:     241893
Reviewed by:	koobs, tcberner
Approved by:	tcberner (mentor)
Differential Revision:  https://reviews.freebsd.org/D21915
Exp-run by:     antoine
24 Feb 2020 11:36:16
Original commit files touched by this commit  2.0_1
Revision:526962
kai search for other commits by this committer
graphics/py-pillow: Update to 7.0.0

* Repo-Copy the Pillow 6.2.2 release to graphics/py-pillow6 to retain
  backwards compatibility for Python 2 consumers as the Pillow 7.0.0 release
  dropped the support for Python 2.

* Apply conditional statements to use either Pillow 7.x or Pillow 6.x for
  consumers that can be built for Python 2 or newer.

* Exceptions are ports that can be built only for either Python 2 or
  Python 3.  For the first case, consumers are just assigned to the
  repo-copied graphics/py-pillow6.

* Also remove Pillow from BUILD_DEPENDS of math/py-PyWavelets as it is not
  listed in setup.py as a build dependency [1] and relax the version
(Only the first 15 lines of the commit message are shown above View all of this commit message)
23 Feb 2020 15:25:53
Original commit files touched by this commit  2.0
Revision:526925
antoine search for other commits by this committer
Deprecate a few ports

With hat:	portmgr
13 Mar 2019 13:03:11
Original commit files touched by this commit  2.0
Revision:495574
mat search for other commits by this committer
Remove unused USE_PYTHON values.

Reported by:	tobik (in D19569)
18 Dec 2018 19:06:21
Original commit files touched by this commit  2.0
Revision:487763
yuri search for other commits by this committer
graphics/py-sk1: Move to graphics/sk1; Update g20171127 -> 2.0rc3

Port changes:
* Change to tarballs from their site
* Update license
* Add shebangfix for setup.py
* Update USE_WX to 3.0
* Add INSTALLS_ICONS
* Make _VER based on DISTVERSIONFULL

Number of commits found: 9

Login
User Login
Create account

Servers and bandwidth provided by
New York Internet, iXsystems, and RootBSD

This site
What is FreshPorts?
About the authors
Issues
FAQ
How big is it?
The latest upgrade!
Privacy
Blog
Contact

Search
Enter Keywords:
 
more...

Latest Vulnerabilities
gitlab-ceMar 05
asterisk16Mar 04
asterisk18Mar 04
chromiumMar 04
jasperMar 03
py-saltMar 03
vaultFeb 27
redisFeb 23
redis-develFeb 23
redis5Feb 23
zeekFeb 22
jenkinsFeb 20
raptor2Feb 20
asterisk13Feb 18
asterisk13Feb 18

10 vulnerabilities affecting 79 ports have been reported in the past 14 days

* - modified, not new

All vulnerabilities

Last updated:
2021-03-05 21:21:29


Ports
Home
Categories
Deleted ports
Sanity Test Failures
Newsfeeds

Statistics
Graphs
NEW Graphs (Javascript)
Traffic

Calculated hourly:
Port count 42676
Broken 75
Deprecated 167
Ignore 313
Forbidden 4
Restricted 139
No CDROM 71
Vulnerable 19
Expired 37
Set to expire 143
Interactive 0
new 24 hours 2
new 48 hours5
new 7 days43
new fortnight87
new month153

Servers and bandwidth provided by
New York Internet, iXsystems, and RootBSD
Valid HTML, CSS, and RSS.
Copyright © 2000-2021 Dan Langille. All rights reserved.